Sketch project method in API creates unlinked geometry after the September update 2.0.14104.
- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
I noticed after the September update 2.0.14104 that the sketch project method in API creates unlinked geometry.
import adsk.core, adsk.fusion, traceback
def run(context):
ui = None
try:
app = adsk.core.Application.get()
ui = app.userInterface
design = app.activeProduct
rootComp = design.rootComponent
xYPlane = rootComp.xYConstructionPlane
sketches = rootComp.sketches
sketch = sketches.add(xYPlane)
sketch.project(rootComp.xConstructionAxis)
except:
if ui:
ui.messageBox('Failed:\n{}'.format(traceback.format_exc()))
It partially breaks some of my add-ins.